#!/usr/bin/env bats

@test "docker is available" {
    command -v docker
}

@test "abra is executable" {
    ./abra --help
}

@test "git is available" {
    command -v git
}

@test "running in a container" {
    ls /etc/alpine-release
}

@test "abra server add/rm works" {
    ./abra server add swarm.test.com
    docker context ls | grep swarm.test.com
    ./abra server rm swarm.test.com

    ./abra server add swarm.test.com foobar 12345
    ./abra server rm swarm.test.com
}

@test "abra app new/rm works" {
    ./abra server add swarm.test.com
    ./abra app new --server swarm.test.com --domain traefik.test.com traefik
    ls ~/.abra/servers/swarm.test.com/traefik.test.com.env
    ./abra app traefik.test.com delete --force
}
